> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoycore/dev-api/database-manager/menuitemrecord.md).

# MenuItemRecord

## Overview

`MenuItemRecord` represents a single menu item within a `MenuFoundSet`, allowing access to a record’s data and its parent `foundset`. This structure enables menu items to behave as records, facilitating component interactions that treat menu items as data entries. For more information on working with menu datasources, refer to [MenuFoundSet](https://docs.servoy.com/reference/servoycore/dev-api/database-manager/menufoundset).

## **Extends**

[JSBaseRecord](/reference/servoycore/dev-api/database-manager/jsbaserecord.md)

## Properties Summarized

| Type                                                                       | Name                  | Summary                                |
| -------------------------------------------------------------------------- | --------------------- | -------------------------------------- |
| [JSFoundSet](/reference/servoycore/dev-api/database-manager/jsfoundset.md) | [foundset](#foundset) | Returns parent foundset of the record. |

## Methods Summarized

| Type                                                     | Name                              | Summary                                            |
| -------------------------------------------------------- | --------------------------------- | -------------------------------------------------- |
| [String](/reference/servoycore/dev-api/js-lib/string.md) | [getDataSource()](#getdatasource) | Returns the records datasource string (menu:name). |

## Properties Detailed

### foundset

Returns parent foundset of the record.

**Type**\
[JSFoundSet](/reference/servoycore/dev-api/database-manager/jsfoundset.md) The parent foundset of the record.

**Sample**

```js
var parent = record.foundset;
```

## Methods Detailed

### getDataSource()

Returns the records datasource string (menu:name).

**Returns:** [String](/reference/servoycore/dev-api/js-lib/string.md) The datasource string of this record.

**Sample**

```js
var ds = record.getDataSource();
```

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoycore/dev-api/database-manager/menuitemrecord.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
